Subject: RE: Draft of new L2VPN WG Charter

From: "Daniel Cohn" <[email-masked]>
Date: Mon, 4 Apr 2011 22:33:38 +0300

Hi,

I support the addition of e-tree to the charter.
In line with similar concerns expressed in the list, I'm not sure however that E-VPN needs to be explicitly mentioned in the charter, and if so whether it cannot be addressed by extending the VPLS clause.

Regards,

Daniel

> On 3/18/11 1:21 PM, "Giles Heron" <[email-masked]> wrote:
> 
> OK - looks like the attachment didn't come through as intended.  My
> apologies.
> 
> Text inline:
> 
> ----------------
> 
> The L2VPN working group is responsible for defining and specifying a
> limited number of solutions for supporting provider-provisioned Layer-2
> Virtual Private Networks (L2VPNs). It will also address requirements driven
> by cloud computing services and data centers as they apply to Layer-2
> VPN services.
> 
> Layer-2 VPNs defined by L2VPN operate over pseudowires (PWs) as
> defined by the PWE3 WG or over MPLS PSN tunnels. A L2VPN emulates a
> "native" service over a PSN that is adequately faithful to, but may not
> be entirely indistinguishable from the native service itself. Further,
> following in the "edge-to-edge" nature of the  service, the L2VPN WG will
> not define any mechanisms which exert control over the underlying PSN.
> When necessary it may, however, recommend or require the use of existing
> PSN QoS and path control mechanisms between the PEs which provide the
> L2VPN connectivity.
> 
> Layer-2 VPNs comprise the following:
> 
> 1. Virtual Private LAN Service (VPLS) -- A Layer-2 service that emulates
> a switched Ethernet (V)LAN across an MPLS Packet Switched Network (PSN).
> 
> 2. Virtual Private Wire Service (VPWS) -- A Layer-2 service that
> provides point-to-point connectivity for a variety of link layers,
> including Frame Relay, ATM, Ethernet, PPP, etc., across an MPLS PSN.
> 
> 3. Virtual Private Multicast Service (VPMS) -- A Layer-2 service that
> provides point-to-multipoint connectivity for a variety of link
> layers across an MPLS PSN.
> 
> 4. IP-only L2VPN  An IP-only service over an MPLS PSN.  The WG will
> address two specific types of IP-only L2VPN:
> 
> a) Point-to-point Layer-2 VPN.  This service is similar to VPWS, but also
> supports heterogenous Attachment Circuits at either end of a single
> point-to-point service.
> 
> b) Multipoint-to-multipoint Layer-2 VPN.  This service is similar to VPLS,
> but learns IP and MAC address bindings from ARPs and broadcast/multicast
> IP packets.
> 
> 5. Ethernet VPN (E-VPN) - A Layer-2 technology that emulates an
> Ethernet (V)LAN across an MPLS PSN. E-VPN supports load-sharing across
> multiple connections from a Layer-2 site to an L2VPN service, and also
> supports control plane distribution of MAC addresses and IP to MAC address
> bindings in the VPN. E-VPN is primarily targeted to support large-scale
> L2VPNs with resiliency requirements not satisfied by other L2VPN solutions.
> 
> 6. E-Tree  a Layer-2 technology defined by the MEF, which provides
> connectivity between one or more ³root² nodes and one or more
> ³leaf² nodes, with the restriction that leaves may only communicate
> with roots (and not with each other).
> 
> L2VPNs will make use of existing IETF specified mechanisms unless there
> are technical reasons why the existing mechanisms are insufficient or
> unnecessary.
> 
> The L2VPN WG is responsible for specification of the discovery and
> membership of PEs participating in a Layer-2 VPN as well as the
> membership of CE devices for a specific instance of an L2VPN.
> 
> The L2VPN WG will provide extensions of existing protocols that will be
> discussed in protocol-specific WGs. In particular, the L2VPN WG
> may define extensions to pseudowire management mechanisms for VPLS.
> Those extensions will be reviewed by the PWE3 WG to ensure they are
> aligned with the overall design/architecture of PWE3.
> 
> The L2VPN WG will not define new encapsulations, control, or resiliency
> mechanisms specifically related to pseudowires. Furthermore, when the
> L2VPN solution is based on PWs, the L2VPN WG will not define protocol
> inter-working between an L2VPN and native service Layer-2 OAM or
> resiliency mechanisms. The L2VPN WG may define how to operate native
> service-layer control, OAM or resiliency mechanisms on top of an L2VPN.
> In addition, it may define native data plane and/or control plane
> interworking between an L2VPN and an associated native Layer-2 service.
> 
> The L2VPN WG scope includes the following:
> 
> 1. Discovery of PEs participating in a Layer-2 VPN and the associated
>  topology required for connectivity of the VPLS, VPWS, VPMS or E-VPN
>  service.
> 
> 2. Signaling of information related to the discovery and membership of
> PEs within a L2VPN. These procedures must use PWE3 control and
> management procedures, or define requirements for extensions of PWE3
> protocols to suit the needs of an L2VPN, when the L2VPN operates over
> PWs. Once those requirements have been reviewed by the L2VPN WG, they
> should be provided to the PWE3 WG to derive solutions.
> 
> 3. MIBs for Layer-2 VPN solutions.
> 
> 4. Specification of requirements, framework and solutions that
> facilitate Operations Administration and Management (OAM) of any type of
> L2VPN.
> 
> 5. Mechanisms to permit optimization of multicast data traffic within
> an L2VPN.
> 
> 6. If transport does not involve PWs, mechanisms that support
> load-balancing/multipathing between PEs interconnecting a Layer-2
> service using an L2VPN across the MPLS PSN.
> 
> 7. requirements for the multi-homing of CEs to several VPLS or
> E-VPN PEs, inclusive of active/backup and active/active (load-sharing)
> configurations. Based on these requirements define VPLS or E-VPN control
> plane solutions for achieving fast convergence after failure of an active
> path in the PSN or on the AC side.
> 
> 8. Enhancements to increase the scalability of the Control Plane and
> Data Plane of L2VPN PE nodes, and of core nodes that provide transport
> services for L2VPN.
> 
> 9. Requirements and solutions for Auto-Discovery and Signaling of
> Inter-AS L2VPNs, in addition to Inter-AS solutions for multicast-optimized
> L2VPNs.
> 
> 10. Requirements and solutions for supporting "E-Tree" services using
> VPLS. 
> 
> 11. Extensions to L2VPN protocols and RFCs necessary to create an MPLS
> Transport Profile (MPLS-TP). The work on the MPLS TP will be coordinated
> between four primary working groups (MPLS, PWE3, L2VPN and CCAMP) that are
> chartered to do MPLS TP work.
> 
> Milestones:
> 
> Done        Submit an I-D describing MIB for VPLS
> Done        Submit an I-D describing MIB for VPWS
> Done        Submit an I-D on OAM requirements for VPLS
> Done        Submit an I-D on OAM requirements for VPWS
> Done        Submit L2 requirements to IESG for publication as Informational
> RFC
> Done        Submit L2 framework to IESG for publication as Informational RFC
> Done        Identify VPLS and VPWS solutions for the WG
> Done        Submit VPLS solution documents to IESG
> Done        Submit VPWS solution documents to IESG
> Done        Submit Auto-Discovery and Signaling for Intra-AS and Inter-AS
>             VPLS and VPWS Layer-2 VPNs
> Jul 2011    Submit IP-only L2VPN solution documents to IESG
> Jul 2011    Submit OAM solutions for VPWS to IESG
> Jul 2011    Submit OAM solutions for VPLS to IESG
> Jul 2011    Submit signaling solution for multicast-optimized VPLS to IESG
> Jul 2011    Submit I-D on Virtual Private Multicast Service (VPMS)
>             requirements to IESG
> Jul 2011    Submit MIB for VPLS to IESG
> Jul 2011    Submit MIB for VPWS to IESG
> Nov 2011    Submit scalability solutions for VPLS Data-Plane to IESG
> Nov 2011    Submit scalability solutions for VPLS Control-Plane to IESG
> Mar 2012    Submit MIB for IP-only L2VPN to IESG
> Mar 2012    Submit OAM solutions for IP-only L2VPN to IESG
> Mar 2012    Submit Auto-Discovery solution for VPMS to IESG
> Mar 2012    Submit VPLS service convergence improvement solutions to IESG
> Mar 2012    Submit VPLS multi-homing solutions to IESG
> Mar 2012    Submit E-Tree documents to IESG
> Mar 2012    Submit E-VPN requirements/framework to IESG
> Jul 2012    Submit E-VPN solution to IESG
> Nov 2012    Submit E-VPN MIB/OAM to IESG
> 
> -----------------
> 
> On 18/03/2011 17:41, "Giles Heron" <[email-masked]> wrote:
> 
>> We plan to re-charter the L2VPN WG - primarily to bring E-VPN and E-Tree
>> in-scope.
>> 
>> Please find attached a draft charter for discussion both on this list and at
>> IETF 80 in Prague.
>> 
>> Nabil and Giles
>> 
>> 
> 
> 
>

---

From: "UTTARO, JAMES (ATTSI)" <[email-masked]>
Date: Tue, 5 Apr 2011 10:50:29 -0400

I think we should expand E-Tree into a general notion of an arbitrary topology i.e hierarcacal e-tree etc.

Jim Uttaro

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Monday, April 04, 2011 3:34 PM
To: Giles Heron
Cc: [email-masked]
Subject: RE: Draft of new L2VPN WG Charter

Hi,

Regards,

Daniel